#### Linux From Scratch - Version r13.0-6

### Chapter 7. Entering Chroot and Building Additional Temporary Tools

- Prev

  Gettext-1.0

- Next

  Perl-5.42.1

- Up
- Home

# 7.8. Bison-3.8.2

The Bison package contains a parser generator.

Approximate build time: 0.2 SBU
Required disk space: 58 MB

## 7.8.1. Installation of Bison

Prepare Bison for compilation:

    ./configure --prefix=/usr \
                --docdir=/usr/share/doc/bison-3.8.2

The meaning of the new configure option:

`--docdir=/usr/share/doc/bison-3.8.2`

  This tells the build system to install bison documentation into a versioned directory.

Compile the package:

    make

Install the package:

    make install

Details on this package are located in Section 8.35.2, “Contents of Bison.”

- Prev

  Gettext-1.0

- Next

  Perl-5.42.1

- Up
- Home